/*
 * @Author: fxs bjnsfxs@163.com
 * @Date: 2024-08-21 11:12:21
 * @LastEditors: fxs bjnsfxs@163.com
 * @LastEditTime: 2024-08-31 10:59:37
 * @FilePath: \Game-Backstage-Management-System\src\utils\axios\auth.ts
 * @Description:
 *
 */

import { ElMessage } from 'element-plus'
import { MessageType } from '@/types/res'

export const authToken = () => {
  return new Promise((reslove, reject) => {
    let refreshToken = localStorage.getItem('refreshToken')
    if (refreshToken) {
      reslove(true)
    } else {
      ElMessage({
        type: MessageType.Warning,
        message: '请先登录',
        duration: 1500
      })
      reject(false)
    }
  })
}
